coap_endpoint_t Struct Reference

Abstraction of virtual endpoint that can be attached to coap_context_t. More...

`#include <coap_io.h>`

Collaboration diagram for coap_endpoint_t:
[legend]

## Data Fields

union {
int fd
| on POSIX systems More...
void * conn
| opaque connection (e.g. More...
} | handle
| opaque handle to identify this endpoint More...
coap_address_t | addr
| local interface address More...
int | ifindex
int | flags

## Detailed Description

Abstraction of virtual endpoint that can be attached to coap_context_t.

The tuple (handle, addr) must uniquely identify this endpoint.

Definition at line 35 of file coap_io.h.

## Field Documentation

## addr

coap_address_t coap_endpoint_t::addr

local interface address

Definition at line 50 of file coap_io.h.

## conn

void* coap_endpoint_t::conn

opaque connection (e.g.

uip_conn in Contiki)

Definition at line 39 of file coap_io.h.

## fd

int coap_endpoint_t::fd

on POSIX systems

Definition at line 38 of file coap_io.h.

## flags

int coap_endpoint_t::flags

Definition at line 52 of file coap_io.h.

## handle

union { ... } coap_endpoint_t::handle

opaque handle to identify this endpoint

## ifindex

int coap_endpoint_t::ifindex

Definition at line 51 of file coap_io.h.

The documentation for this struct was generated from the following file:

- coap_io.h